aboutsummaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
Diffstat (limited to 'tests')
-rwxr-xr-xtests/ci/load_images.sh48
-rw-r--r--tests/opnfv/test_suites/opnfv_os-odl_l3-ovs-ha_daily.yaml62
-rw-r--r--tests/unit/benchmark/scenarios/networking/test_pktgen.py6
3 files changed, 92 insertions, 24 deletions
diff --git a/tests/ci/load_images.sh b/tests/ci/load_images.sh
index 0110773da..87599100b 100755
--- a/tests/ci/load_images.sh
+++ b/tests/ci/load_images.sh
@@ -156,32 +156,36 @@ load_yardstick_image()
load_cirros_image()
{
- echo
- echo "========== Loading cirros cloud image =========="
+ if [[ -n $(openstack image list | grep -e Cirros-0.3.5) ]]; then
+ echo "Cirros-0.3.5 image already exist, skip loading cirros image"
+ else
+ echo
+ echo "========== Loading cirros cloud image =========="
- local image_file=/home/opnfv/images/cirros-0.3.5-x86_64-disk.img
+ local image_file=/home/opnfv/images/cirros-0.3.5-x86_64-disk.img
- EXTRA_PARAMS=""
- # VPP requires guest memory to be backed by large pages
- if [[ "$DEPLOY_SCENARIO" == *"-fdio-"* ]]; then
- EXTRA_PARAMS=$EXTRA_PARAMS" --property hw_mem_page_size=large"
- fi
+ EXTRA_PARAMS=""
+ # VPP requires guest memory to be backed by large pages
+ if [[ "$DEPLOY_SCENARIO" == *"-fdio-"* ]]; then
+ EXTRA_PARAMS=$EXTRA_PARAMS" --property hw_mem_page_size=large"
+ fi
- output=$(openstack image create \
- --disk-format qcow2 \
- --container-format bare \
- ${EXTRA_PARAMS} \
- --file ${image_file} \
- cirros-0.3.5)
- echo "$output"
+ output=$(openstack image create \
+ --disk-format qcow2 \
+ --container-format bare \
+ ${EXTRA_PARAMS} \
+ --file ${image_file} \
+ cirros-0.3.5)
+ echo "$output"
- CIRROS_IMAGE_ID=$(echo "$output" | grep " id " | awk '{print $(NF-1)}')
- if [ -z "$CIRROS_IMAGE_ID" ]; then
- echo 'Failed uploading cirros image to cloud'.
- exit 1
- fi
+ CIRROS_IMAGE_ID=$(echo "$output" | grep " id " | awk '{print $(NF-1)}')
+ if [ -z "$CIRROS_IMAGE_ID" ]; then
+ echo 'Failed uploading cirros image to cloud'.
+ exit 1
+ fi
- echo "Cirros image id: $CIRROS_IMAGE_ID"
+ echo "Cirros image id: $CIRROS_IMAGE_ID"
+ fi
}
load_ubuntu_image()
@@ -261,6 +265,8 @@ main()
for filename in tests/opnfv/test_cases/*; do
sed -i "s/cidr: '10.0.1.0\/24'/cidr: '10.3.1.0\/24'/g" "${filename}"
done
+ # Update file changes
+ pip install -U .
else
load_cirros_image
load_ubuntu_image
diff --git a/tests/opnfv/test_suites/opnfv_os-odl_l3-ovs-ha_daily.yaml b/tests/opnfv/test_suites/opnfv_os-odl_l3-ovs-ha_daily.yaml
new file mode 100644
index 000000000..6d2bea5e8
--- /dev/null
+++ b/tests/opnfv/test_suites/opnfv_os-odl_l3-ovs-ha_daily.yaml
@@ -0,0 +1,62 @@
+##############################################################################
+# Copyright (c) 2017 Huawei Technologies Co.,Ltd and others.
+#
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+---
+# os-odl_l3-ovs-ha daily task suite
+
+schema: "yardstick:suite:0.1"
+
+name: "os-odl_l3-ovs-ha"
+test_cases_dir: "tests/opnfv/test_cases/"
+test_cases:
+-
+ file_name: opnfv_yardstick_tc002.yaml
+-
+ file_name: opnfv_yardstick_tc005.yaml
+-
+ file_name: opnfv_yardstick_tc010.yaml
+-
+ file_name: opnfv_yardstick_tc011.yaml
+-
+ file_name: opnfv_yardstick_tc012.yaml
+-
+ file_name: opnfv_yardstick_tc014.yaml
+-
+ file_name: opnfv_yardstick_tc037.yaml
+-
+ file_name: opnfv_yardstick_tc055.yaml
+ constraint:
+ installer: compass
+ pod: huawei-pod1
+ task_args:
+ huawei-pod1: '{"pod_info": "etc/yardstick/nodes/compass_sclab_physical/pod.yaml",
+ "host": "node5.yardstick-TC055"}'
+-
+ file_name: opnfv_yardstick_tc063.yaml
+ constraint:
+ installer: compass
+ pod: huawei-pod1
+ task_args:
+ huawei-pod1: '{"pod_info": "etc/yardstick/nodes/compass_sclab_physical/pod.yaml",
+ "host": "node5.yardstick-TC063"}'
+-
+ file_name: opnfv_yardstick_tc069.yaml
+-
+ file_name: opnfv_yardstick_tc070.yaml
+-
+ file_name: opnfv_yardstick_tc071.yaml
+-
+ file_name: opnfv_yardstick_tc072.yaml
+-
+ file_name: opnfv_yardstick_tc075.yaml
+ constraint:
+ installer: compass
+ pod: huawei-pod1
+ task_args:
+ huawei-pod1: '{"pod_info": "etc/yardstick/nodes/compass_sclab_physical/pod.yaml",
+ "host": "node1.LF"}'
diff --git a/tests/unit/benchmark/scenarios/networking/test_pktgen.py b/tests/unit/benchmark/scenarios/networking/test_pktgen.py
index f50fa108c..989c5b712 100644
--- a/tests/unit/benchmark/scenarios/networking/test_pktgen.py
+++ b/tests/unit/benchmark/scenarios/networking/test_pktgen.py
@@ -132,7 +132,7 @@ class PktgenTestCase(unittest.TestCase):
p._iptables_get_result = mock_iptables_result
sample_output = '{"packets_per_second": 9753, "errors": 0, \
- "packets_sent": 149776, "flows": 110}'
+ "packets_sent": 149776, "packetsize": 60, "flows": 110}'
mock_ssh.SSH().execute.return_value = (0, sample_output, '')
p.run(result)
@@ -158,7 +158,7 @@ class PktgenTestCase(unittest.TestCase):
p._iptables_get_result = mock_iptables_result
sample_output = '{"packets_per_second": 9753, "errors": 0, \
- "packets_sent": 149776, "flows": 110}'
+ "packets_sent": 149776, "packetsize": 60, "flows": 110}'
mock_ssh.SSH().execute.return_value = (0, sample_output, '')
p.run(result)
@@ -184,7 +184,7 @@ class PktgenTestCase(unittest.TestCase):
p._iptables_get_result = mock_iptables_result
sample_output = '{"packets_per_second": 9753, "errors": 0, \
- "packets_sent": 149776, "flows": 110}'
+ "packets_sent": 149776, "packetsize": 60, "flows": 110}'
mock_ssh.SSH().execute.return_value = (0, sample_output, '')
self.assertRaises(AssertionError, p.run, result)